import { createApp } from 'vue'

import App from './App.vue'
import router from './router'
import store from './stores/index'
import 'normalize.css'
import './assets/css/style.css'
import SvgIcon from "@/components/SvgIcon/index.vue";
import "virtual:svg-icons-register";
import directives from "./directives/index.js";

import i18n from "./lang/index";
import flexible from "./utils/flexible.js";

import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'


const app = createApp(App)
app.use(router)
	.use(directives)
	.use(ElementPlus)
	.use(store)
	.component("SvgIcon", SvgIcon)
	.use(i18n)
	.mount('#app')

flexible(1440, 960);

